Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.jboss51
Class MessageDrivenBeanTypeImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.jboss51.MessageDrivenBeanTypeImpl<T>

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>, MessageDrivenBeanType<T>

    public class MessageDrivenBeanTypeImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, MessageDrivenBeanType<T>

This class implements the `message-driven-beanType` xsd type

Original Documentation:

The message-driven element holds information specific to jboss and not
declared in ejb-jar.xml about a message-driven bean, such as container configuration and
resources. The bean should already be declared in ejb-jar.xml, with the same ejb-name.

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`MessageDrivenBeanTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`MessageDrivenBeanTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`ActivationConfigType<MessageDrivenBeanType<T>>` | `activationConfig()` If not already created, a new `activation-config` element will be created and returned.
`AnnotationType<MessageDrivenBeanType<T>>` | `annotation()` Returns the `annotation` element
`EjbLocalRefType<MessageDrivenBeanType<T>>` | `ejbLocalRef()` Returns the `ejb-local-ref` element
`EjbRefType<MessageDrivenBeanType<T>>` | `ejbRef()` Returns the `ejb-ref` element
`SecurityIdentityType<MessageDrivenBeanType<T>>` | `ejbTimeoutIdentity()` If not already created, a new `ejb-timeout-identity` element will be created and returned.
`java.util.List<AnnotationType<MessageDrivenBeanType<T>>>` | `getAnnotationList()` Returns all `annotation` elements
`java.lang.String` | `getAopDomainName()` Returns the `aop-domain-name` element
`java.util.List<java.lang.String>` | `getDependsList()` Returns all `depends` elements
`java.util.List<java.lang.String>` | `getDescriptionList()` Returns all `description` elements
`java.lang.String` | `getDestinationJndiName()` Returns the `destination-jndi-name` element
`java.util.List<java.lang.String>` | `getDisplayNameList()` Returns all `display-name` elements
`java.util.List<EjbLocalRefType<MessageDrivenBeanType<T>>>` | `getEjbLocalRefList()` Returns all `ejb-local-ref` elements
`java.lang.String` | `getEjbName()` Returns the `ejb-name` element
`java.util.List<EjbRefType<MessageDrivenBeanType<T>>>` | `getEjbRefList()` Returns all `ejb-ref` elements
`java.util.List<IconType<MessageDrivenBeanType<T>>>` | `getIconList()` Returns all `icon` elements
`java.util.List<JndiRefType<MessageDrivenBeanType<T>>>` | `getJndiRefList()` Returns all `jndi-ref` elements
`java.lang.String` | `getMdbClientId()` Returns the `mdb-client-id` element
`java.lang.String` | `getMdbPasswd()` Returns the `mdb-passwd` element
`java.lang.String` | `getMdbSubscriptionId()` Returns the `mdb-subscription-id` element
`java.lang.String` | `getMdbUser()` Returns the `mdb-user` element
`java.util.List<MessageDestinationRefType<MessageDrivenBeanType<T>>>` | `getMessageDestinationRefList()` Returns all `message-destination-ref` elements
`java.lang.String` | `getResourceAdapterName()` Returns the `resource-adapter-name` element
`java.util.List<ResourceEnvRefType<MessageDrivenBeanType<T>>>` | `getResourceEnvRefList()` Returns all `resource-env-ref` elements
`java.util.List<ResourceRefType<MessageDrivenBeanType<T>>>` | `getResourceRefList()` Returns all `resource-ref` elements
`java.lang.String` | `getSecurityDomain()` Returns the `security-domain` element
`java.util.List<ServiceRefType<MessageDrivenBeanType<T>>>` | `getServiceRefList()` Returns all `service-ref` elements
`IconType<MessageDrivenBeanType<T>>` | `icon()` Returns the `icon` element
`IgnoreDependencyType<MessageDrivenBeanType<T>>` | `ignoreDependency()` If not already created, a new `ignore-dependency` element will be created and returned.
`java.lang.Boolean` | `isCreateDestination()` Returns the `create-destination` element
`JndiRefType<MessageDrivenBeanType<T>>` | `jndiRef()` Returns the `jndi-ref` element
`MessageDestinationRefType<MessageDrivenBeanType<T>>` | `messageDestinationRef()` Returns the `message-destination-ref` element
`MethodAttributesType<MessageDrivenBeanType<T>>` | `methodAttributes()` If not already created, a new `method-attributes` element will be created and returned.
`PoolConfigType<MessageDrivenBeanType<T>>` | `poolConfig()` If not already created, a new `pool-config` element will be created and returned.
`MessageDrivenBeanType<T>` | `removeActivationConfig()` Removes the `activation-config` element
`MessageDrivenBeanType<T>` | `removeAllAnnotation()` Removes all `annotation` elements
`MessageDrivenBeanType<T>` | `removeAllDepends()` Removes the `depends` element
`MessageDrivenBeanType<T>` | `removeAllDescription()` Removes the `description` element
`MessageDrivenBeanType<T>` | `removeAllDisplayName()` Removes the `display-name` element
`MessageDrivenBeanType<T>` | `removeAllEjbLocalRef()` Removes all `ejb-local-ref` elements
`MessageDrivenBeanType<T>` | `removeAllEjbRef()` Removes all `ejb-ref` elements
`MessageDrivenBeanType<T>` | `removeAllIcon()` Removes all `icon` elements
`MessageDrivenBeanType<T>` | `removeAllJndiRef()` Removes all `jndi-ref` elements
`MessageDrivenBeanType<T>` | `removeAllMessageDestinationRef()` Removes all `message-destination-ref` elements
`MessageDrivenBeanType<T>` | `removeAllResourceEnvRef()` Removes all `resource-env-ref` elements
`MessageDrivenBeanType<T>` | `removeAllResourceRef()` Removes all `resource-ref` elements
`MessageDrivenBeanType<T>` | `removeAllServiceRef()` Removes all `service-ref` elements
`MessageDrivenBeanType<T>` | `removeAopDomainName()` Removes the `aop-domain-name` element
`MessageDrivenBeanType<T>` | `removeCreateDestination()` Removes the `create-destination` element
`MessageDrivenBeanType<T>` | `removeDestinationJndiName()` Removes the `destination-jndi-name` element
`MessageDrivenBeanType<T>` | `removeEjbName()` Removes the `ejb-name` element
`MessageDrivenBeanType<T>` | `removeEjbTimeoutIdentity()` Removes the `ejb-timeout-identity` element
`MessageDrivenBeanType<T>` | `removeIgnoreDependency()` Removes the `ignore-dependency` element
`MessageDrivenBeanType<T>` | `removeMdbClientId()` Removes the `mdb-client-id` element
`MessageDrivenBeanType<T>` | `removeMdbPasswd()` Removes the `mdb-passwd` element
`MessageDrivenBeanType<T>` | `removeMdbSubscriptionId()` Removes the `mdb-subscription-id` element
`MessageDrivenBeanType<T>` | `removeMdbUser()` Removes the `mdb-user` element
`MessageDrivenBeanType<T>` | `removeMethodAttributes()` Removes the `method-attributes` element
`MessageDrivenBeanType<T>` | `removePoolConfig()` Removes the `pool-config` element
`MessageDrivenBeanType<T>` | `removeResourceAdapterName()` Removes the `resource-adapter-name` element
`MessageDrivenBeanType<T>` | `removeSecurityDomain()` Removes the `security-domain` element
`MessageDrivenBeanType<T>` | `removeSecurityIdentity()` Removes the `security-identity` element
`ResourceEnvRefType<MessageDrivenBeanType<T>>` | `resourceEnvRef()` Returns the `resource-env-ref` element
`ResourceRefType<MessageDrivenBeanType<T>>` | `resourceRef()` Returns the `resource-ref` element
`SecurityIdentityType<MessageDrivenBeanType<T>>` | `securityIdentity()` If not already created, a new `security-identity` element will be created and returned.
`ServiceRefType<MessageDrivenBeanType<T>>` | `serviceRef()` Returns the `service-ref` element
`MessageDrivenBeanType<T>` | `setAopDomainName(java.lang.String aopDomainName)` If not already created, a new `aop-domain-name` element with the given value will be created.
`MessageDrivenBeanType<T>` | `setCreateDestination(java.lang.Boolean createDestination)` If not already created, a new `create-destination` element with the given value will be created.
`MessageDrivenBeanType<T>` | `setDepends(java.lang.String depends)` Creates a new `depends` element
`MessageDrivenBeanType<T>` | `setDependsList(java.lang.String... values)` Creates for all String objects representing `depends` elements, a new `depends` element
`MessageDrivenBeanType<T>` | `setDescription(java.lang.String description)` Creates a new `description` element
`MessageDrivenBeanType<T>` | `setDescriptionList(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
`MessageDrivenBeanType<T>` | `setDestinationJndiName(java.lang.String destinationJndiName)` If not already created, a new `destination-jndi-name` element with the given value will be created.
`MessageDrivenBeanType<T>` | `setDisplayName(java.lang.String displayName)` Creates a new `display-name` element
`MessageDrivenBeanType<T>` | `setDisplayNameList(java.lang.String... values)` Creates for all String objects representing `display-name` elements, a new `display-name` element
`MessageDrivenBeanType<T>` | `setEjbName(java.lang.String ejbName)` If not already created, a new `ejb-name` element with the given value will be created.
`MessageDrivenBeanType<T>` | `setMdbClientId(java.lang.String mdbClientId)` If not already created, a new `mdb-client-id` element with the given value will be created.
`MessageDrivenBeanType<T>` | `setMdbPasswd(java.lang.String mdbPasswd)` If not already created, a new `mdb-passwd` element with the given value will be created.
`MessageDrivenBeanType<T>` | `setMdbSubscriptionId(java.lang.String mdbSubscriptionId)` If not already created, a new `mdb-subscription-id` element with the given value will be created.
`MessageDrivenBeanType<T>` | `setMdbUser(java.lang.String mdbUser)` If not already created, a new `mdb-user` element with the given value will be created.
`MessageDrivenBeanType<T>` | `setResourceAdapterName(java.lang.String resourceAdapterName)` If not already created, a new `resource-adapter-name` element with the given value will be created.
`MessageDrivenBeanType<T>` | `setSecurityDomain(java.lang.String securityDomain)` If not already created, a new `security-domain` element with the given value will be created.
`T` | `up()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MessageDrivenBeanTypeImpl

    public MessageDrivenBeanTypeImpl(T t,
                                     java.lang.String nodeName,
                                     org.jboss.shrinkwrap.descriptor.spi.Node node)

### MessageDrivenBeanTypeImpl

    public MessageDrivenBeanTypeImpl(T t,
                                     java.lang.String nodeName,
                                     org.jboss.shrinkwrap.descriptor.spi.Node node,
                                     org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### setDescription

    public MessageDrivenBeanType<T> setDescription(java.lang.String description)

  Creates a new `description` element

  Specified by:
    `setDescription` in interface `MessageDrivenBeanType<T>`
  Returns:
    the current instance of `MessageDrivenBeanType`

### setDescriptionList

    public MessageDrivenBeanType<T> setDescriptionList(java.lang.String... values)

  Creates for all String objects representing `description` elements, a new `description` element

  Specified by:
    `setDescriptionList` in interface `MessageDrivenBeanType<T>`
  Parameters:
    `list` - of `description` objects
  Returns:
    the current instance of `MessageDrivenBeanType`

### removeAllDescription

    public MessageDrivenBeanType<T> removeAllDescription()

  Removes the `description` element

  Specified by:
    `removeAllDescription` in interface `MessageDrivenBeanType<T>`
  Returns:
    the current instance of `MessageDrivenBeanType`

### getDescriptionList

    public java.util.List<java.lang.String> getDescriptionList()

  Returns all `description` elements

  Specified by:
    `getDescriptionList` in interface `MessageDrivenBeanType<T>`
  Returns:
    list of `description`

### setDisplayName

    public MessageDrivenBeanType<T> setDisplayName(java.lang.String displayName)

  Creates a new `display-name` element

  Specified by:
    `setDisplayName` in interface `MessageDrivenBeanType<T>`
  Returns:
    the current instance of `MessageDrivenBeanType`

### setDisplayNameList

    public MessageDrivenBeanType<T> setDisplayNameList(java.lang.String... values)

  Creates for all String objects representing `display-name` elements, a new `display-name` element

  Specified by:
    `setDisplayNameList` in interface `MessageDrivenBeanType<T>`
  Parameters:
    `list` - of `display-name` objects
  Returns:
    the current instance of `MessageDrivenBeanType`

### removeAllDisplayName

    public MessageDrivenBeanType<T> removeAllDisplayName()

  Removes the `display-name` element

  Specified by:
    `removeAllDisplayName` in interface `MessageDrivenBeanType<T>`
  Returns:
    the current instance of `MessageDrivenBeanType`

### getDisplayNameList

    public java.util.List<java.lang.String> getDisplayNameList()

  Returns all `display-name` elements

  Specified by:
    `getDisplayNameList` in interface `MessageDrivenBeanType<T>`
  Returns:
    list of `display-name`

### removeAllIcon

    public MessageDrivenBeanType<T> removeAllIcon()

  Removes all `icon` elements

  Specified by:
    `removeAllIcon` in interface `MessageDrivenBeanType<T>`
  Returns:
    the current instance of `MessageDrivenBeanType`

### icon

    public IconType<MessageDrivenBeanType<T>> icon()

  Returns the `icon` element

  Specified by:
    `icon` in interface `MessageDrivenBeanType<T>`
  Returns:
    the node defined for the element `icon`

### getIconList

    public java.util.List<IconType<MessageDrivenBeanType<T>>> getIconList()

  Returns all `icon` elements

  Specified by:
    `getIconList` in interface `MessageDrivenBeanType<T>`
  Returns:
    list of `icon`

### setEjbName

    public MessageDrivenBeanType<T> setEjbName(java.lang.String ejbName)

  If not already created, a new `ejb-name` element with the given value will be created. Otherwise, the existing `ejb-name` element will be updated with the given value.

  Specified by:
    `setEjbName` in interface `MessageDrivenBeanType<T>`
  Returns:
    the current instance of `MessageDrivenBeanType`

### removeEjbName

    public MessageDrivenBeanType<T> removeEjbName()

  Removes the `ejb-name` element

  Specified by:
    `removeEjbName` in interface `MessageDrivenBeanType<T>`
  Returns:
    the current instance of `MessageDrivenBeanType`

### getEjbName

    public java.lang.String getEjbName()

  Returns the `ejb-name` element

  Specified by:
    `getEjbName` in interface `MessageDrivenBeanType<T>`
  Returns:
    the node defined for the element `ejb-name`

### removeActivationConfig

    public MessageDrivenBeanType<T> removeActivationConfig()

  Removes the `activation-config` element

  Specified by:
    `removeActivationConfig` in interface `MessageDrivenBeanType<T>`
  Returns:
    the current instance of `MessageDrivenBeanType`

### activationConfig

    public ActivationConfigType<MessageDrivenBeanType<T>> activationConfig()

  If not already created, a new `activation-config` element will be created and returned. Otherwise, the existing `activation-config` element will be returned.

  Specified by:
    `activationConfig` in interface `MessageDrivenBeanType<T>`
  Returns:
    the node defined for the element `activation-config`

### setDestinationJndiName

    public MessageDrivenBeanType<T> setDestinationJndiName(java.lang.String destinationJndiName)

  If not already created, a new `destination-jndi-name` element with the given value will be created. Otherwise, the existing `destination-jndi-name` element will be updated with the given value.

  Specified by:
    `setDestinationJndiName` in interface `MessageDrivenBeanType<T>`
  Returns:
    the current instance of `MessageDrivenBeanType`

### removeDestinationJndiName

    public MessageDrivenBeanType<T> removeDestinationJndiName()

  Removes the `destination-jndi-name` element

  Specified by:
    `removeDestinationJndiName` in interface `MessageDrivenBeanType<T>`
  Returns:
    the current instance of `MessageDrivenBeanType`

### getDestinationJndiName

    public java.lang.String getDestinationJndiName()

  Returns the `destination-jndi-name` element

  Specified by:
    `getDestinationJndiName` in interface `MessageDrivenBeanType<T>`
  Returns:
    the node defined for the element `destination-jndi-name`

### setMdbUser

    public MessageDrivenBeanType<T> setMdbUser(java.lang.String mdbUser)

  If not already created, a new `mdb-user` element with the given value will be created. Otherwise, the existing `mdb-user` element will be updated with the given value.

  Specified by:
    `setMdbUser` in interface `MessageDrivenBeanType<T>`
  Returns:
    the current instance of `MessageDrivenBeanType`

### removeMdbUser

    public MessageDrivenBeanType<T> removeMdbUser()

  Removes the `mdb-user` element

  Specified by:
    `removeMdbUser` in interface `MessageDrivenBeanType<T>`
  Returns:
    the current instance of `MessageDrivenBeanType`

### getMdbUser

    public java.lang.String getMdbUser()

  Returns the `mdb-user` element

  Specified by:
    `getMdbUser` in interface `MessageDrivenBeanType<T>`
  Returns:
    the node defined for the element `mdb-user`

### setMdbPasswd

    public MessageDrivenBeanType<T> setMdbPasswd(java.lang.String mdbPasswd)

  If not already created, a new `mdb-passwd` element with the given value will be created. Otherwise, the existing `mdb-passwd` element will be updated with the given value.

  Specified by:
    `setMdbPasswd` in interface `MessageDrivenBeanType<T>`
  Returns:
    the current instance of `MessageDrivenBeanType`

### removeMdbPasswd

    public MessageDrivenBeanType<T> removeMdbPasswd()

  Removes the `mdb-passwd` element

  Specified by:
    `removeMdbPasswd` in interface `MessageDrivenBeanType<T>`
  Returns:
    the current instance of `MessageDrivenBeanType`

### getMdbPasswd

    public java.lang.String getMdbPasswd()

  Returns the `mdb-passwd` element

  Specified by:
    `getMdbPasswd` in interface `MessageDrivenBeanType<T>`
  Returns:
    the node defined for the element `mdb-passwd`

### setMdbClientId

    public MessageDrivenBeanType<T> setMdbClientId(java.lang.String mdbClientId)

  If not already created, a new `mdb-client-id` element with the given value will be created. Otherwise, the existing `mdb-client-id` element will be updated with the given value.

  Specified by:
    `setMdbClientId` in interface `MessageDrivenBeanType<T>`
  Returns:
    the current instance of `MessageDrivenBeanType`

### removeMdbClientId

    public MessageDrivenBeanType<T> removeMdbClientId()

  Removes the `mdb-client-id` element

  Specified by:
    `removeMdbClientId` in interface `MessageDrivenBeanType<T>`
  Returns:
    the current instance of `MessageDrivenBeanType`

### getMdbClientId

    public java.lang.String getMdbClientId()

  Returns the `mdb-client-id` element

  Specified by:
    `getMdbClientId` in interface `MessageDrivenBeanType<T>`
  Returns:
    the node defined for the element `mdb-client-id`

### setMdbSubscriptionId

    public MessageDrivenBeanType<T> setMdbSubscriptionId(java.lang.String mdbSubscriptionId)

  If not already created, a new `mdb-subscription-id` element with the given value will be created. Otherwise, the existing `mdb-subscription-id` element will be updated with the given value.

  Specified by:
    `setMdbSubscriptionId` in interface `MessageDrivenBeanType<T>`
  Returns:
    the current instance of `MessageDrivenBeanType`

### removeMdbSubscriptionId

    public MessageDrivenBeanType<T> removeMdbSubscriptionId()

  Removes the `mdb-subscription-id` element

  Specified by:
    `removeMdbSubscriptionId` in interface `MessageDrivenBeanType<T>`
  Returns:
    the current instance of `MessageDrivenBeanType`

### getMdbSubscriptionId

    public java.lang.String getMdbSubscriptionId()

  Returns the `mdb-subscription-id` element

  Specified by:
    `getMdbSubscriptionId` in interface `MessageDrivenBeanType<T>`
  Returns:
    the node defined for the element `mdb-subscription-id`

### setResourceAdapterName

    public MessageDrivenBeanType<T> setResourceAdapterName(java.lang.String resourceAdapterName)

  If not already created, a new `resource-adapter-name` element with the given value will be created. Otherwise, the existing `resource-adapter-name` element will be updated with the given value.

  Specified by:
    `setResourceAdapterName` in interface `MessageDrivenBeanType<T>`
  Returns:
    the current instance of `MessageDrivenBeanType`

### removeResourceAdapterName

    public MessageDrivenBeanType<T> removeResourceAdapterName()

  Removes the `resource-adapter-name` element

  Specified by:
    `removeResourceAdapterName` in interface `MessageDrivenBeanType<T>`
  Returns:
    the current instance of `MessageDrivenBeanType`

### getResourceAdapterName

    public java.lang.String getResourceAdapterName()

  Returns the `resource-adapter-name` element

  Specified by:
    `getResourceAdapterName` in interface `MessageDrivenBeanType<T>`
  Returns:
    the node defined for the element `resource-adapter-name`

### removeAllEjbRef

    public MessageDrivenBeanType<T> removeAllEjbRef()

  Removes all `ejb-ref` elements

  Specified by:
    `removeAllEjbRef` in interface `MessageDrivenBeanType<T>`
  Returns:
    the current instance of `MessageDrivenBeanType`

### ejbRef

    public EjbRefType<MessageDrivenBeanType<T>> ejbRef()

  Returns the `ejb-ref` element

  Specified by:
    `ejbRef` in interface `MessageDrivenBeanType<T>`
  Returns:
    the node defined for the element `ejb-ref`

### getEjbRefList

    public java.util.List<EjbRefType<MessageDrivenBeanType<T>>> getEjbRefList()

  Returns all `ejb-ref` elements

  Specified by:
    `getEjbRefList` in interface `MessageDrivenBeanType<T>`
  Returns:
    list of `ejb-ref`

### removeAllEjbLocalRef

    public MessageDrivenBeanType<T> removeAllEjbLocalRef()

  Removes all `ejb-local-ref` elements

  Specified by:
    `removeAllEjbLocalRef` in interface `MessageDrivenBeanType<T>`
  Returns:
    the current instance of `MessageDrivenBeanType`

### ejbLocalRef

    public EjbLocalRefType<MessageDrivenBeanType<T>> ejbLocalRef()

  Returns the `ejb-local-ref` element

  Specified by:
    `ejbLocalRef` in interface `MessageDrivenBeanType<T>`
  Returns:
    the node defined for the element `ejb-local-ref`

### getEjbLocalRefList

    public java.util.List<EjbLocalRefType<MessageDrivenBeanType<T>>> getEjbLocalRefList()

  Returns all `ejb-local-ref` elements

  Specified by:
    `getEjbLocalRefList` in interface `MessageDrivenBeanType<T>`
  Returns:
    list of `ejb-local-ref`

### removeAllServiceRef

    public MessageDrivenBeanType<T> removeAllServiceRef()

  Removes all `service-ref` elements

  Specified by:
    `removeAllServiceRef` in interface `MessageDrivenBeanType<T>`
  Returns:
    the current instance of `MessageDrivenBeanType`

### serviceRef

    public ServiceRefType<MessageDrivenBeanType<T>> serviceRef()

  Returns the `service-ref` element

  Specified by:
    `serviceRef` in interface `MessageDrivenBeanType<T>`
  Returns:
    the node defined for the element `service-ref`

### getServiceRefList

    public java.util.List<ServiceRefType<MessageDrivenBeanType<T>>> getServiceRefList()

  Returns all `service-ref` elements

  Specified by:
    `getServiceRefList` in interface `MessageDrivenBeanType<T>`
  Returns:
    list of `service-ref`

### removeAllResourceRef

    public MessageDrivenBeanType<T> removeAllResourceRef()

  Removes all `resource-ref` elements

  Specified by:
    `removeAllResourceRef` in interface `MessageDrivenBeanType<T>`
  Returns:
    the current instance of `MessageDrivenBeanType`

### resourceRef

    public ResourceRefType<MessageDrivenBeanType<T>> resourceRef()

  Returns the `resource-ref` element

  Specified by:
    `resourceRef` in interface `MessageDrivenBeanType<T>`
  Returns:
    the node defined for the element `resource-ref`

### getResourceRefList

    public java.util.List<ResourceRefType<MessageDrivenBeanType<T>>> getResourceRefList()

  Returns all `resource-ref` elements

  Specified by:
    `getResourceRefList` in interface `MessageDrivenBeanType<T>`
  Returns:
    list of `resource-ref`

### removeAllResourceEnvRef

    public MessageDrivenBeanType<T> removeAllResourceEnvRef()

  Removes all `resource-env-ref` elements

  Specified by:
    `removeAllResourceEnvRef` in interface `MessageDrivenBeanType<T>`
  Returns:
    the current instance of `MessageDrivenBeanType`

### resourceEnvRef

    public ResourceEnvRefType<MessageDrivenBeanType<T>> resourceEnvRef()

  Returns the `resource-env-ref` element

  Specified by:
    `resourceEnvRef` in interface `MessageDrivenBeanType<T>`
  Returns:
    the node defined for the element `resource-env-ref`

### getResourceEnvRefList

    public java.util.List<ResourceEnvRefType<MessageDrivenBeanType<T>>> getResourceEnvRefList()

  Returns all `resource-env-ref` elements

  Specified by:
    `getResourceEnvRefList` in interface `MessageDrivenBeanType<T>`
  Returns:
    list of `resource-env-ref`

### removeAllMessageDestinationRef

    public MessageDrivenBeanType<T> removeAllMessageDestinationRef()

  Removes all `message-destination-ref` elements

  Specified by:
    `removeAllMessageDestinationRef` in interface `MessageDrivenBeanType<T>`
  Returns:
    the current instance of `MessageDrivenBeanType`

### messageDestinationRef

    public MessageDestinationRefType<MessageDrivenBeanType<T>> messageDestinationRef()

  Returns the `message-destination-ref` element

  Specified by:
    `messageDestinationRef` in interface `MessageDrivenBeanType<T>`
  Returns:
    the node defined for the element `message-destination-ref`

### getMessageDestinationRefList

    public java.util.List<MessageDestinationRefType<MessageDrivenBeanType<T>>> getMessageDestinationRefList()

  Returns all `message-destination-ref` elements

  Specified by:
    `getMessageDestinationRefList` in interface `MessageDrivenBeanType<T>`
  Returns:
    list of `message-destination-ref`

### removeSecurityIdentity

    public MessageDrivenBeanType<T> removeSecurityIdentity()

  Removes the `security-identity` element

  Specified by:
    `removeSecurityIdentity` in interface `MessageDrivenBeanType<T>`
  Returns:
    the current instance of `MessageDrivenBeanType`

### securityIdentity

    public SecurityIdentityType<MessageDrivenBeanType<T>> securityIdentity()

  If not already created, a new `security-identity` element will be created and returned. Otherwise, the existing `security-identity` element will be returned.

  Specified by:
    `securityIdentity` in interface `MessageDrivenBeanType<T>`
  Returns:
    the node defined for the element `security-identity`

### setSecurityDomain

    public MessageDrivenBeanType<T> setSecurityDomain(java.lang.String securityDomain)

  If not already created, a new `security-domain` element with the given value will be created. Otherwise, the existing `security-domain` element will be updated with the given value.

  Specified by:
    `setSecurityDomain` in interface `MessageDrivenBeanType<T>`
  Returns:
    the current instance of `MessageDrivenBeanType`

### removeSecurityDomain

    public MessageDrivenBeanType<T> removeSecurityDomain()

  Removes the `security-domain` element

  Specified by:
    `removeSecurityDomain` in interface `MessageDrivenBeanType<T>`
  Returns:
    the current instance of `MessageDrivenBeanType`

### getSecurityDomain

    public java.lang.String getSecurityDomain()

  Returns the `security-domain` element

  Specified by:
    `getSecurityDomain` in interface `MessageDrivenBeanType<T>`
  Returns:
    the node defined for the element `security-domain`

### removeMethodAttributes

    public MessageDrivenBeanType<T> removeMethodAttributes()

  Removes the `method-attributes` element

  Specified by:
    `removeMethodAttributes` in interface `MessageDrivenBeanType<T>`
  Returns:
    the current instance of `MessageDrivenBeanType`

### methodAttributes

    public MethodAttributesType<MessageDrivenBeanType<T>> methodAttributes()

  If not already created, a new `method-attributes` element will be created and returned. Otherwise, the existing `method-attributes` element will be returned.

  Specified by:
    `methodAttributes` in interface `MessageDrivenBeanType<T>`
  Returns:
    the node defined for the element `method-attributes`

### setDepends

    public MessageDrivenBeanType<T> setDepends(java.lang.String depends)

  Creates a new `depends` element

  Specified by:
    `setDepends` in interface `MessageDrivenBeanType<T>`
  Returns:
    the current instance of `MessageDrivenBeanType`

### setDependsList

    public MessageDrivenBeanType<T> setDependsList(java.lang.String... values)

  Creates for all String objects representing `depends` elements, a new `depends` element

  Specified by:
    `setDependsList` in interface `MessageDrivenBeanType<T>`
  Parameters:
    `list` - of `depends` objects
  Returns:
    the current instance of `MessageDrivenBeanType`

### removeAllDepends

    public MessageDrivenBeanType<T> removeAllDepends()

  Removes the `depends` element

  Specified by:
    `removeAllDepends` in interface `MessageDrivenBeanType<T>`
  Returns:
    the current instance of `MessageDrivenBeanType`

### getDependsList

    public java.util.List<java.lang.String> getDependsList()

  Returns all `depends` elements

  Specified by:
    `getDependsList` in interface `MessageDrivenBeanType<T>`
  Returns:
    list of `depends`

### removeEjbTimeoutIdentity

    public MessageDrivenBeanType<T> removeEjbTimeoutIdentity()

  Removes the `ejb-timeout-identity` element

  Specified by:
    `removeEjbTimeoutIdentity` in interface `MessageDrivenBeanType<T>`
  Returns:
    the current instance of `MessageDrivenBeanType`

### ejbTimeoutIdentity

    public SecurityIdentityType<MessageDrivenBeanType<T>> ejbTimeoutIdentity()

  If not already created, a new `ejb-timeout-identity` element will be created and returned. Otherwise, the existing `ejb-timeout-identity` element will be returned.

  Specified by:
    `ejbTimeoutIdentity` in interface `MessageDrivenBeanType<T>`
  Returns:
    the node defined for the element `ejb-timeout-identity`

### removeAllAnnotation

    public MessageDrivenBeanType<T> removeAllAnnotation()

  Removes all `annotation` elements

  Specified by:
    `removeAllAnnotation` in interface `MessageDrivenBeanType<T>`
  Returns:
    the current instance of `MessageDrivenBeanType`

### annotation

    public AnnotationType<MessageDrivenBeanType<T>> annotation()

  Returns the `annotation` element

  Specified by:
    `annotation` in interface `MessageDrivenBeanType<T>`
  Returns:
    the node defined for the element `annotation`

### getAnnotationList

    public java.util.List<AnnotationType<MessageDrivenBeanType<T>>> getAnnotationList()

  Returns all `annotation` elements

  Specified by:
    `getAnnotationList` in interface `MessageDrivenBeanType<T>`
  Returns:
    list of `annotation`

### removeIgnoreDependency

    public MessageDrivenBeanType<T> removeIgnoreDependency()

  Removes the `ignore-dependency` element

  Specified by:
    `removeIgnoreDependency` in interface `MessageDrivenBeanType<T>`
  Returns:
    the current instance of `MessageDrivenBeanType`

### ignoreDependency

    public IgnoreDependencyType<MessageDrivenBeanType<T>> ignoreDependency()

  If not already created, a new `ignore-dependency` element will be created and returned. Otherwise, the existing `ignore-dependency` element will be returned.

  Specified by:
    `ignoreDependency` in interface `MessageDrivenBeanType<T>`
  Returns:
    the node defined for the element `ignore-dependency`

### setAopDomainName

    public MessageDrivenBeanType<T> setAopDomainName(java.lang.String aopDomainName)

  If not already created, a new `aop-domain-name` element with the given value will be created. Otherwise, the existing `aop-domain-name` element will be updated with the given value.

  Specified by:
    `setAopDomainName` in interface `MessageDrivenBeanType<T>`
  Returns:
    the current instance of `MessageDrivenBeanType`

### removeAopDomainName

    public MessageDrivenBeanType<T> removeAopDomainName()

  Removes the `aop-domain-name` element

  Specified by:
    `removeAopDomainName` in interface `MessageDrivenBeanType<T>`
  Returns:
    the current instance of `MessageDrivenBeanType`

### getAopDomainName

    public java.lang.String getAopDomainName()

  Returns the `aop-domain-name` element

  Specified by:
    `getAopDomainName` in interface `MessageDrivenBeanType<T>`
  Returns:
    the node defined for the element `aop-domain-name`

### removePoolConfig

    public MessageDrivenBeanType<T> removePoolConfig()

  Removes the `pool-config` element

  Specified by:
    `removePoolConfig` in interface `MessageDrivenBeanType<T>`
  Returns:
    the current instance of `MessageDrivenBeanType`

### poolConfig

    public PoolConfigType<MessageDrivenBeanType<T>> poolConfig()

  If not already created, a new `pool-config` element will be created and returned. Otherwise, the existing `pool-config` element will be returned.

  Specified by:
    `poolConfig` in interface `MessageDrivenBeanType<T>`
  Returns:
    the node defined for the element `pool-config`

### removeAllJndiRef

    public MessageDrivenBeanType<T> removeAllJndiRef()

  Removes all `jndi-ref` elements

  Specified by:
    `removeAllJndiRef` in interface `MessageDrivenBeanType<T>`
  Returns:
    the current instance of `MessageDrivenBeanType`

### jndiRef

    public JndiRefType<MessageDrivenBeanType<T>> jndiRef()

  Returns the `jndi-ref` element

  Specified by:
    `jndiRef` in interface `MessageDrivenBeanType<T>`
  Returns:
    the node defined for the element `jndi-ref`

### getJndiRefList

    public java.util.List<JndiRefType<MessageDrivenBeanType<T>>> getJndiRefList()

  Returns all `jndi-ref` elements

  Specified by:
    `getJndiRefList` in interface `MessageDrivenBeanType<T>`
  Returns:
    list of `jndi-ref`

### setCreateDestination

    public MessageDrivenBeanType<T> setCreateDestination(java.lang.Boolean createDestination)

  If not already created, a new `create-destination` element with the given value will be created. Otherwise, the existing `create-destination` element will be updated with the given value.

  Specified by:
    `setCreateDestination` in interface `MessageDrivenBeanType<T>`
  Returns:
    the current instance of `MessageDrivenBeanType`

### removeCreateDestination

    public MessageDrivenBeanType<T> removeCreateDestination()

  Removes the `create-destination` element

  Specified by:
    `removeCreateDestination` in interface `MessageDrivenBeanType<T>`
  Returns:
    the current instance of `MessageDrivenBeanType`

### isCreateDestination

    public java.lang.Boolean isCreateDestination()

  Returns the `create-destination` element

  Specified by:
    `isCreateDestination` in interface `MessageDrivenBeanType<T>`
  Returns:
    the node defined for the element `create-destination`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD